S70120Pan02.JPG=Lake Titicaca Puno [Peru]
S7012010.jpg=Lake Titicaca - Taquile Island
Nik01208.jpg=Lake Titicaca - Taquile Island people
DSC_1109.JPG=Lake Titicaca - return to Puno
S70120Pan10.JPG=Lake Titicaca - Taquile Island
S70120Pan03.JPG=Lake Titicaca - Uros floating islands.
S701206.jpg=Lake Titicaca -explaining the Uros floating islands construction.
S70120Pan19.JPG=Lake Titicaca - Taquile Island
S70120Pan20.JPG=Lake Titicaca - Taquile Island
Juliaca_puno_peru.jpg=Juliaca to Puno [Peru]
20180120_225517.jpg=Lake Titicaca - Quechua people
Nik01207.jpg=Lake Titicaca - Taquile Island people
20180121_011142.jpg=Lake Titicaca - heading to Taquile Island
S701207.jpg=Lake Titicaca - Uros floating islands.
20180121_021959.jpg=Lake Titicaca - Taquile Island
Nik01201.jpg=Lake Titicaca - Uros floating islands, reed boats.
S7012012.jpg=Lake Titicaca - Taquile Island people
DSC_1103.JPG=Lake Titicaca - return to Puno
S70120Pan12.JPG=Lake Titicaca - Taquile Island
S70120Pan14.JPG=Lake Titicaca - Taquile Island
S701208.jpg=Lake Titicaca - Uros floating islands, children and their simple fun.
S70120Pan27.JPG=Lake Titicaca - return to Puno
S70120Pan01.JPG=Lake Titicaca Puno [Peru]
S70120Pan25.JPG=Lake Titicaca - Taquile Island
S7012011.jpg=Lake Titicaca - Taquile Island people
S70120Pan08.JPG=Lake Titicaca - heading to Taquile Island
Nik01209.jpg=Lake Titicaca - Taquile Island
S70120Pan09.JPG=Lake Titicaca - heading to Taquile Island
S701209.jpg=Lake Titicaca - Taquile Island
S70120Pan26.JPG=Lake Titicaca - return to Puno
S70120Pan13.JPG=Lake Titicaca - Taquile Island
Nik01203.jpg=Lake Titicaca - Uros floating islands.
S7012015.jpg=Lake Titicaca - return to Puno
S701201.jpg=Lake Titicaca Puno [Peru]
S70120Pan07.JPG=Lake Titicaca - Uros floating islands.
DSC_0962.JPG=Lake Titicaca - Uros floating islands.
S70120Pan16.JPG=Lake Titicaca - Taquile Island
S7012014.jpg=Lake Titicaca - Taquile Island
DSC_1105.JPG=Lake Titicaca - return to Puno
S701202.jpg=Lake Titicaca - Uros floating islands.
Nik01202.jpg=Lake Titicaca - Quechua people
S70120Pan06.JPG=Lake Titicaca - Uros floating islands, reed boats.
S7012013.jpg=Lake Titicaca - Taquile Island people
S70120Pan24.JPG=Lake Titicaca - Taquile Island looking toward Bolivia
Nik0120.jpg=Lake Titicaca - Uros floating islands.
S701203.jpg=Lake Titicaca - Uros floating islands.
20180120_225936.jpg=Lake Titicaca - Quechua people
S70120Pan18.JPG=Lake Titicaca - Taquile Island
S70120Pan21.JPG=Lake Titicaca - Taquile Island
Nik01206.jpg=Lake Titicaca - Taquile Island people
S70120Pan05.JPG=Lake Titicaca - Uros floating islands.
Titicaca.jpg=Lake Titicaca Puno [Peru]
S701204.jpg=Lake Titicaca -explaining the Uros floating islands construction.
S70120.jpg=Lake Titicaca - entry to Uros floating islands. Only time we have ever seen a stop sign whilst boating
Nik01205.jpg=Lake Titicaca - Taquile Island people
S70120Pan04.JPG=Lake Titicaca - Uros floating islands.
S701205.jpg=Lake Titicaca -explaining the Uros floating islands construction.
Nik01204.jpg=Lake Titicaca - Uros floating islands, reed boats.
S70120Pan17.JPG=Lake Titicaca - Taquile Island
20180120_232604.jpg=Lake Titicaca - Uros floating islands.
DSC_1100.JPG=Lake Titicaca - return to Puno
